Bug 247173 - (DF154630) iSCSI service restart on RHEL4 U4 leads to kernel panic
(DF154630) iSCSI service restart on RHEL4 U4 leads to kernel panic
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.4
All Linux
low Severity high
: ---
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 15:48 EDT by khtan
Modified: 2007-11-16 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 14:02:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description khtan 2007-07-05 15:48:10 EDT
Description of problem:
iSCSI service restart on RHEL4 U4 system leads to Kernel panic (#service iscsi
restart). 
Issue observed couple of  times on the same system and also on different
configurations. Issue is not very consistent and some time the service restart
comes up without the kernel panic.
Refer the system logs for P8-PE2850 and P10-PE2900 for more details on kernel
panic. 

========================================
from Jason Jolly:

This is the same "badness" as seen in CR124579.  Alden was able to repro. this
"badness" w/o MPP.  Not sure if the following "oops" is caused by the first
issue or not.  Below are the "badness" and "oops" from the system log from the
P8-PE2850 system.

Jul  2 19:19:42 localhost kernel: Device 'iscsi0' does not have a release()
function, it is broken and must be fixed.
Jul  2 19:19:42 localhost kernel: Badness in device_release at
drivers/base/core.c:85
Jul  2 19:19:42 localhost kernel:  [c01c07d3>] kobject_cleanup+0x40/0x60
Jul  2 19:19:42 localhost kernel:  [c01c07f3>] kobject_release+0x0/0x8
Jul  2 19:19:42 localhost kernel:  [c01c0a99>] kref_put+0x42/0x45
Jul  2 19:19:42 localhost kernel:  [f8a2bb78>] iscsi_cleanup+0x28/0x41 [iscsi_sfnet]
Jul  2 19:19:42 localhost kernel:  [c01369fe>] sys_delete_module+0x137/0x180
Jul  2 19:19:42 localhost kernel:  [c01507f5>] unmap_vma_list+0xe/0x17
Jul  2 19:19:42 localhost kernel:  [c0150b2f>] do_munmap+0x129/0x137
Jul  2 19:19:42 localhost kernel:  [c011ae55>] do_page_fault+0x0/0x5c6
Jul  2 19:19:42 localhost kernel:  [c02d4703>] syscall_call+0x7/0xb
Jul  2 19:19:42 localhost iscsi: removing driver succeeded

Oops: 0000 [#1]
Jul  2 19:19:50 localhost kernel: SMP 
Jul  2 19:19:50 localhost kernel: Modules linked in: iscsi_sfnet(U) mppVhba(U)
dell_rbu dcdbas parport_pc lp parport autofs4 i2c_dev i2c_core sunrpc crc32c
libcrc32c scsi_transport_iscsi dm_mirror dm_multipath dm_mod button battery ac
joydev md5 ipv6 uhci_hcd ehci_hcd hw_random e1000 floppy ext3 jbd megaraid_mbox
megaraid_mm mppUpper(U) sg sd_mod scsi_mod
Jul  2 19:19:50 localhost kernel: CPU:    3
Jul  2 19:19:50 localhost kernel: EIP:    0060:[f8888cb7>]    Not tainted VLI
Jul  2 19:19:50 localhost kernel: EFLAGS: 00010006   (2.6.9-42.ELsmp) 
Jul  2 19:19:50 localhost kernel: EIP is at mppCmn_NewSelectPath+0x9d/0x267
[mppUpper]
Jul  2 19:19:50 localhost kernel: eax: 00000000   ebx: f6215c80   ecx: 00000000
  edx: 00001b00
Jul  2 19:19:50 localhost kernel: esi: f37863c8   edi: f4e38000   ebp: f4e38000
  esp: f3673f50
Jul  2 19:19:50 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jul  2 19:19:50 localhost kernel: Process mpp_dcr (pid: 8212,
threadinfo=f3673000 task=f425cb30)
Jul  2 19:19:50 localhost kernel: Stack: 00000286 00000000 00000000 00000000
00000000 00000080 00000000 00000000 
Jul  2 19:19:50 localhost kernel:        f3673fc2 00000100 f6215c80 f37863c8
f4e38000 00000000 f88bad90 f3673fc3 
Jul  2 19:19:50 localhost kernel:        c02d1d16 00000000 00000001 f425cb30
c011e794 00100100 00200200 f37e0000 
Jul  2 19:19:50 localhost kernel: Call Trace:
Jul  2 19:19:50 localhost kernel:  [f88bad90>]
mppLnx_do_queuecommand+0x110/0x6ce [mppVhba]
Jul  2 19:19:50 localhost kernel:  [c02d1d16>] __down_interruptible+0x103/0x115
Jul  2 19:19:50 localhost kernel:  [c011e794>] default_wake_function+0x0/0xc
Jul  2 19:19:50 localhost kernel:  [f88be4b8>] mppLnx_dpc_handler+0x110/0x210
[mppVhba]
Jul  2 19:19:50 localhost kernel:  [f88be3a8>] mppLnx_dpc_handler+0x0/0x210
[mppVhba]
Jul  2 19:19:50 localhost kernel:  [c01041f5>] kernel_thread_helper+0x5/0xb
Jul  2 19:19:50 localhost kernel: Code: 15 01 c7 44 24 04 00 00 00 00 31 c0 3b
05 5c ae 89 f8 0f 83 0d 01 00 00 6b 54 24 24 1b 0f b6 44 24 15 01 c2 8b 8c 95 94
00 00 00 0f> b6 11 0f b6 da 88 54 24 14 6b d3 4c 8b 7c 85 34 8d 04 3a 8b 
Jul  2 19:19:50 localhost kernel:  0>Fatal exception: panic in 5 seconds


Version-Release number of selected component (if applicable):


How reproducible:
Seldom.


Steps to recreate: 
1) Configure the setup as shown in attached configuration diagram 
2) Restart iSCSI service from RHEL4 U4 system console(#service iscsi restart)
3) Verify RHEL4 U4 gives kernel panic and the server hangs. 
  
Actual results:
Oops.

Expected results:
No Oops.

Additional info:
Comment 1 Mike Christie 2007-07-06 14:02:23 EDT
The iscsi badness is from a LSI patch which they are using. Closing bugzilla.

Note You need to log in before you can comment on or make changes to this bug.